Subject: Re: cygwin32 and gl.h trouble
From: [email-masked] (Earnie Boyd)

25 Nov 1997 23:25:22 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

Hi Stephen,

It is best if you send your questions directly to the list.  I remember 
seeing the answer to you question somewhere but I forget the answer and 
I don't remember where to find it.  I'm forwarding your question to the 
list in hopes that someone else can answer this for you.  In the mean 
time, however let me point you to:

ftp://ftp.cygnus.com/pub/gnu-win32/latest/

http://www.cygnus.com/pubs/gnupro/

http://www.cygnus.com/misc/gnu-win32/

http://www.cygnus.com/ml/gnu-win32

http://www.fu.is.saga-u.ac.jp/~colin/gcc.html

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

>Date: Tue, 25 Nov 1997 08:51:44 -0500
>From: Stephen Reuss <[email-masked]>
>To: [email-masked]
>Subject: cygwin32 and gl.h trouble
>
>Hi,
>
>I noticed you posted a response to someones question re. the gl 
headers.
>I am new to gnu and switched to it because MVC was pissing me off.  For
>the life of me, I cant include the gl.h and glu.h headers in a C++ 
code.
>
>I picked up the Mesa 2.5 (OpenGL API) distribution, with which these
>headers come. The libraries for Mesa were succsessfully compiled using
>gcc and NOT g++.  If I write a simple dummy mainline that includes the
>glut.h header, syntax errors are produced on compile that say 'syntax
>error before __attribute__ .  These occur on lines where,I think,
>pointers to functions occur before the attribute.  This only happens if
>I try to compile using g++, and not with gcc.
>
>Eg Mainline
>
>#include <stdio.h>
>#include <GL/glut.h>
>int main (void)
>{
>  printf("Hello\n") ;
>  return (0);
>}
>
>I am sure that I've overlooked something simple, but I cant figure it
>out. 
>
>Thanks in advance for any help you may provide.
>
>-- 
>---------------------------------------------------------------------
>  Stephen Reuss                               =====  ======  =====
>  M.A.Sc.  student, Mechanical Engineering   ==      ==      ==  ==
>  University of Waterloo, Canada             =       =====   ==   =
>  E-mail: [email-masked]        ==      ==      ==  ==
>  Phone : (519)888-4567 X3859                 =====  ==      =====
>  Fax   : (519)888-6197                         *** G R O U P ***
>---------------------------------------------------------------------
>

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".